File: toolcheck

package info (click to toggle)
vim 1:7.1.314-3+lenny2
  • links: PTS, VCS
  • area: main
  • in suites: lenny
  • size: 39,856 kB
  • ctags: 25,430
  • sloc: ansic: 279,681; cpp: 3,229; makefile: 2,958; perl: 1,232; sh: 857; awk: 715; xml: 507; cs: 458; asm: 114; python: 28; csh: 6
file content (36 lines) | stat: -rwxr-xr-x 855 bytes parent folder | download | duplicates (9)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
#!/bin/sh
# toolcheck -- check for tools that have severe bugs. Good that all the buggy
#	       tools identify by version numbers. This is the spirit of GNU :-)
#
# 24.7.95 jw.

retval=0
reply="`sh -version -c exit 2>&1 < /dev/null`"
case "$reply" in
	GNU*1.14.3*)
		echo "- sh is	'$reply'";
		echo "  CAUTION: This shell has a buggy 'trap' command.";
		echo "           The configure script may fail silently.";
		retval=1;
		;;
	GNU*)
		echo "- sh is	'$reply' - probably OK.";
		;;
	*)	;;
esac

reply="`sed --version 2>&1 < /dev/null`"
case "$reply" in
	GNU\ sed\ version\ 2.0[34])
		echo "- sed is	'$reply'";
		echo "  CAUTION: This sed cannot configure screen properly."
		retval=1;
		;;
	GNU\ sed\ version\ 2.05|GNU\ sed\ version\ 2.03\ kevin)
		echo "- sed is	'$reply' - good.";
		;;
	GNU*)	echo "- sed is	'$reply'.";
		;;
	*)	;;
esac
exit $retval